### Class

# WebKit2 PrintCustomWidget

deprecated: 2.40 since: 2.16

#### Description [src]

    class WebKit2.PrintCustomWidget : GObject.Object
    {
      /* No available fields */
    }

Allows to embed a custom widget in print dialog.

A WebKitPrintCustomWidget allows to embed a custom widget in the print dialog by connecting to the `WebKitPrintOperation::create-custom-widget` signal, creating a new WebKitPrintCustomWidget with `webkit_print_custom_widget_new()` and returning it from there. You can later use `webkit_print_operation_run_dialog()` to display the dialog.

Unfortunately, use of custom widgets is incompatible with modern containerized application frameworks like Flatpak. A print dialog constructed in the application process will not have access to host printers, so instead it must be constructed by a desktop portal service running on the host system. Because this print dialog runs in a separate process, it’s not possible to attach a custom widget.

Available since: 2.16

Deprecated since: 2.40

Please do not use it in newly written code.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### webkit_print_custom_widget_new

Create a new `WebKitPrintCustomWidget` with given `widget` and `title`.

deprecated: 2.40 since: 2.16

#### Instance methods

###### webkit_print_custom_widget_get_title

Return the value of `WebKitPrintCustomWidget:title` property.

deprecated: 2.40 since: 2.16

###### webkit_print_custom_widget_get_widget

Return the value of `WebKitPrintCustomWidget:widget` property.

deprecated: 2.40 since: 2.16

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.PrintCustomWidget:title

The title of the custom widget.

deprecated: 2.40 since: 2.16

###### WebKit2.PrintCustomWidget:widget

The custom `GtkWidget` that will be embedded in the dialog.

deprecated: 2.40 since: 2.16

#### Signals

###### WebKit2.PrintCustomWidget::apply

Emitted right before the printing will start. You should read the information from the widget and update the content based on it if necessary. The widget is not guaranteed to be valid at a later time.

deprecated: 2.40 since: 2.16

###### WebKit2.PrintCustomWidget::update

Emitted after change of selected printer in the dialog. The actual page setup and print settings are available and the custom widget can actualize itself according to their values.

deprecated: 2.40 since: 2.16

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2PrintCustomWidgetClass {
      GObjectClass parent_class;
      void (* apply) (
        WebKitPrintCustomWidget* print_custom_widget,
        GtkWidget* widget
      );
      void (* update) (
        WebKitPrintCustomWidget* print_custom_widget,
        GtkWidget* widget,
        GtkPageSetup* page_setup,
        GtkPrintSettings* print_settings
      );
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`apply: void (* apply) ( WebKitPrintCustomWidget* print_custom_widget, GtkWidget* widget )`

  No description available.

`update: void (* update) ( WebKitPrintCustomWidget* print_custom_widget, GtkWidget* widget, GtkPageSetup* page_setup, GtkPrintSettings* print_settings )`

  No description available.

`_webkit_reserved0: void (* _webkit_reserved0) ( void )`

  No description available.

`_webkit_reserved1: void (* _webkit_reserved1) ( void )`

  No description available.

`_webkit_reserved2: void (* _webkit_reserved2) ( void )`

  No description available.

`_webkit_reserved3: void (* _webkit_reserved3) ( void )`

  No description available.

#### Virtual methods

###### WebKit2.PrintCustomWidgetClass.apply

No description available.

###### WebKit2.PrintCustomWidgetClass.update

No description available.